﻿<div class="{{ $pageRouteServ.pageObject.academicInfo.class + ' ' + $pageRouteServ.pageObject.department.class }}"
    ng-controller="academicInfo.departmentCtrl as acadep"
    ng-init="acadep.init()"
    ng-if="$appServ.isUser">
    <div class="panel noborder">
        <div class="panel-heading page-heading">
            <div class="panel-title">
                <div class="panel-table">
                    <div class="panel-row">
                        <div class="panel-col col-navigation">
                            <div class="navigation">
                                <ul>
                                    <li class="colhide text-left {{ $utilServ.lang }}">
                                        <span class="{{ $appServ.labelStyle }} bold black f8">
                                            {{ $appServ.getLabel(['department']) }}
                                        </span>
                                    </li>
                                    <li class="colhide separate" ng-if="$facultyServ.isFaculty">
                                        <span class="{{ $appServ.labelStyle }} bold black f8">
                                            :
                                        </span>
                                    </li>
                                    <li class="colshow text-left" ng-if="$facultyServ.isFaculty">
                                        <span class="{{ $appServ.labelStyle }} bold black f9">
                                            {{ $facultyServ.facultyInfo.code + ' - ' + ($facultyServ.facultyInfo.name[$utilServ.lang] | capitalize) }}
                                        </span>
                                    </li>
                                </ul>
                            </div>
                        </div>
                        <div class="panel-col col-toolbar text-right" ng-if="$facultyServ.isFaculty">
                            <div class="toolbar">
                                <a enter class="btn" href="javascript:void(0)" uib-tooltip-html="$appServ.getLabel(['add'])"
                                    ng-click="
                                        $utilServ.doBlur($event);
                                        acadep.addedit.showForm = !acadep.addedit.showForm;
                                        acadep.addedit.template.action = 'add';
                                        acadep.addedit.template.init()
                                    "
                                    ng-if="!acadep.addedit.showForm">
                                    <i class="fa fa-plus white f9 top6"></i>
                                </a>
                                <a enter class="btn" href="javascript:void(0)" uib-tooltip-html="$appServ.getLabel(['back'])"
                                    ng-click="
                                        $utilServ.doBlur($event);
                                        acadep.table.hide = true;
                                        acadep.table.isReload = true;
                                        acadep.addedit.showForm = !acadep.addedit.showForm;
                                        acadep.addedit.template.remove()
                                    "
                                    ng-if="acadep.addedit.showForm">
                                    <i class="fa fa-arrow-left white f10 top5"></i>
                                </a>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
        <div class="panel-body page-body"
            ng-show="
                acadep.showForm &&
                !acadep.addedit.showForm
            ">
            <uib-tabset active="acadep.tabSelect.activeTabIndex">
                <uib-tab index="0" heading="{{ $appServ.getLabel(['verify', 'verified']) }}" ng-click="acadep.tabSelect.selected('verified')">
                    <div onload="depvef.init()"
                        ng-include="acadep.verified.template.content"
                        ng-controller="academicInfo.department.verifiedCtrl as depvef">
                    </div>
                </uib-tab>
                <uib-tab index="1" heading="{{ $appServ.getLabel(['verify', 'pendingVerify']) }}" ng-click="acadep.tabSelect.selected('pendingVerify')">
                    <div onload="deppvf.init()"
                        ng-include="acadep.pendingVerify.template.content"
                        ng-controller="academicInfo.department.pendingVerifyCtrl as deppvf">
                    </div>
                </uib-tab>
            </uib-tabset>
        </div>
        <div class="panel-body" onload="acadep.addedit[acadep.addedit.template.action].init()"            
            ng-include="acadep.addedit.template.content"
            ng-if="acadep.addedit.showForm">
        </div>
    </div>
</div>